aboutsummaryrefslogtreecommitdiffstats
path: root/main/py-gtk/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-12-31 21:45:35 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-01-01 07:32:34 +0000
commitb78dacafdf01c2ec58c5e27ae49b06beb2e01e3e (patch)
tree33e535e1dce4381bde9c14ff58d29a3eaab479bc /main/py-gtk/APKBUILD
parentb1d24afbf60529e9b4ea13fd1f329b8351192eb7 (diff)
downloadaports-b78dacafdf01c2ec58c5e27ae49b06beb2e01e3e.tar.gz
aports-b78dacafdf01c2ec58c5e27ae49b06beb2e01e3e.tar.bz2
aports-b78dacafdf01c2ec58c5e27ae49b06beb2e01e3e.tar.xz
main/py-gtk: build fix for automake-1.13
Diffstat (limited to 'main/py-gtk/APKBUILD')
-rw-r--r--main/py-gtk/APKBUILD10
1 files changed, 6 insertions, 4 deletions
diff --git a/main/py-gtk/APKBUILD b/main/py-gtk/APKBUILD
index 03f8694b7b..95e31d89b8 100644
--- a/main/py-gtk/APKBUILD
+++ b/main/py-gtk/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=py-gtk
pkgver=2.24.0
-pkgrel=6
+pkgrel=7
pkgdesc="Python bindings for the GTK widget set"
url="http://www.pygtk.org/"
arch="all"
@@ -11,6 +11,7 @@ makedepends="libglade-dev py-cairo-dev py-gobject-dev python-dev libffi-dev
autoconf automake libtool"
source="http://ftp.gnome.org/pub/gnome/sources/pygtk/${pkgver%.*}/pygtk-$pkgver.tar.bz2
pygtk-2.14.1-libdir-pc.patch
+ automake.patch
"
subpackages="$pkgname-dev $pkgname-doc $pkgname-demo"
@@ -25,8 +26,8 @@ prepare() {
done
# disable pyc
echo '#!/bin/sh' > py-compile
- libtoolize --force \
- && aclocal -I m4 && autoconf && automake || return 1
+ libtoolize --force && aclocal -I m4 && autoconf \
+ && automake --add-missing || return 1
}
build() {
@@ -59,4 +60,5 @@ demo() {
"$subpkgdir"/usr/lib/pygtk/2.0/
}
md5sums="a1051d5794fd7696d3c1af6422d17a49 pygtk-2.24.0.tar.bz2
-7ea85705916198f7cad29073ecd03d10 pygtk-2.14.1-libdir-pc.patch"
+7ea85705916198f7cad29073ecd03d10 pygtk-2.14.1-libdir-pc.patch
+4d32c4b66d124d48b73794841b104c74 automake.patch"